import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NameGoogle = "google";
export declare class Google extends BaseProvider {
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
}
